# Class MocStringIO

java.lang.Object
healpix.essentials.MocStringIO

public class MocStringIO extends Object
Moc string I/O routines.

## Constructor Summary

Constructors
Constructor
Description
`MocStringIO()`

## Method Summary

Modifier and Type
Method
Description
`static Moc`
`mocFromString(String in)`
Parses a string following either the basic ASCII or JSON syntax given in the MOC standard document, and converts it into a MOC.
`static String`
`mocToStringASCII(Moc moc)`
Converts the Moc to its basic ASCII representation as described in the MOC standard document.
`static String`
`mocToStringJSON(Moc moc)`
Converts the Moc to its JSON representation as described in the MOC standard document.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MocStringIO

public MocStringIO()

## Method Details

### mocFromString

public static Moc mocFromString(String in)
Parses a string following either the basic ASCII or JSON syntax given in the MOC standard document, and converts it into a MOC. The string need not obey the rules for a well-formed MOC given in the document.

### mocToStringASCII

public static String mocToStringASCII(Moc moc)
Converts the Moc to its basic ASCII representation as described in the MOC standard document. The result is well-formed.

### mocToStringJSON

public static String mocToStringJSON(Moc moc)
Converts the Moc to its JSON representation as described in the MOC standard document. The result is well-formed.